ESF Dedicated Linux server help.

New Member
Joined
May 20, 2006
Messages
3
Best answers
0
Hey all,

This problem has already been created, although no one has replied to it - so i'm going to remake the thread.

I just downloaded and install both HLDS 3.1.1.1 and ESF1.2. This is what happens when I ran the server.

Console initialized.
Protocol version 46
Exe version 3.1.1.1
Exe build: 22:35:19 Apr 29 2003 (2378)
Your executable is out of date.
Auth Server
Server IP address 202.125.46.129:27015
LoadLibrary failed on ./esf/linuxdlls/hl_i386.so: ./esf/linuxdlls/hl_i386.so: undefined symbol: sqrt
Host_Error: Couldn't get DLL API from ./esf/linuxdlls/hl_i386.so!
FATAL ERROR (shutting down): Host_Error: Couldn't get DLL API from ./esf/linuxdlls/hl_i386.so!

Does anyone know how to fix this? I'm so clueless right now, searched everywhere and can't find an answer.

Thanks,

Demolution
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,837
Best answers
0
IF you check your ESF Folder. You might not see the folder "linuxdlls". Try making one, and copy/paste the *.SO File in the folder. I don't have much knowlegde with dedicated servers, but it might help you. And by the look of the "out of date" error. Is your HLDS updated to the latest version? I do believe this has been done automatic though.
 
New Member
Joined
May 20, 2006
Messages
3
Best answers
0
yeah, it was the stupid thing which was outdated and i updated it... thanks for the reply :)
 
Base belongs to me.
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
💎Légéñdārý
Joined
Nov 30, 2002
Messages
10,837
Best answers
0
Did it fixed the problem if i may ask?
 

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Top